#!/usr/bin/env bash

# Check if the shell is Bash or Zsh
if [ -n "$BASH_VERSION" ]; then
    # Bash
    source "/opt/ros/$ROS_DISTRO/setup.bash"
elif [ -n "$ZSH_VERSION" ]; then
    # Zsh
    source "/opt/ros/$ROS_DISTRO/setup.zsh"
else
    echo "Unknown shell. This script is designed for Bash and Zsh."
    return 1
fi

exec "$@"
